List jobs
Job
List jobs
API call to return a paginated list of jobs in the given project.
Use the query parameters to further narrow down the searching criteria.
- pageNumber - A zero-based parameter indicating the page number you wish to retrieve. The total number of pages is
returned in each response in the
totalPagesfield in the top level of the response. - pageSize - A parameter indicating the size of the page you wish to return.
This has direct effect on the
totalPagesretrieved in each response and can hence influence the number of times to iterate over to get all the jobs. - count - When set to
true, the response will not contain the list of jobs (thecontentfield) but only the counts of elements and pages. Can be used to quickly retrieve the number of elements and pages to iterate over. - workflowLevel - A non-zero based parameter indicating which workflow steps the returned jobs belong to. If left unspecified, its value is set to 1.
- status - A parameter allowing for filtering only for jobs in a specific status.
- assignedUser - A parameter allowing for filtering only for jobs assigned to a specific user. The parameter accepts a user ID.
- dueInHours - A parameter allowing for filtering only for jobs whose due date is less or equal to the number
of hours specified. This does not exclude jobs by status - jobs already
DELIVERED,COMPLETED,CANCELLED,DECLINEDorREJECTEDare still matched. Combine withstatus(excludingDELIVERED,COMPLETED,CANCELLED,DECLINEDandREJECTED) to match the product’s “overdue” definition. - filename - A parameter allowing for filtering only for jobs with a specific file name.
- targetLang - A parameter allowing for filtering only for jobs with a specific target language.
- assignedVendor - A parameter allowing for filtering only for jobs assigned to a specific vendor. The parameter accepts a user ID.
- notReady - A parameter allowing for filtering only jobs that have been imported. When set to
truethe response will only contain jobs that have not been imported yet. This will also return jobs that have not been imported correctly, e.g. due to an error. - trashed - When set to
true, returns only jobs that are currently in the project’s recycle bin (deleted but not yet permanently removed) instead of active jobs. By default (whentrashedis nottrue), trashed jobs are excluded from results regardless of what other filters are applied. A trashed job still counts as an associated job for DELETE /api2/v1/projects//targetLangs, so use this parameter together with targetLang to find the job(s) blocking a target language removal.
For jobs assigned to one user across all projects, use GET /api2/v1/users//jobs instead.
GET
List jobs
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Query Parameters
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Required range:
1 <= x <= 15Available options:
NEW, ACCEPTED, DECLINED, REJECTED, DELIVERED, EMAILED, COMPLETED, CANCELLED When true, returns only trashed (recycle bin) jobs for the project instead of active jobs